name: Save Raptor Build Cache
description: Save the Raptor build directory after a successful incremental build.

inputs:
  key:
    description: Cache key used to save the build directory.
    required: true

runs:
  using: composite
  steps:
    - name: Save Raptor Build Cache
      uses: actions/cache/save@v4
      with:
        path: build
        key: ${{ inputs.key }}
